package plugin;

import java.io.File;

import org.gradle.tooling.BuildLauncher;
import org.gradle.tooling.GradleConnector;
import org.gradle.tooling.ProjectConnection;
import org.gradle.tooling.internal.consumer.DefaultGradleConnector;
import org.junit.Test;
import static org.junit.Assert.assertTrue;

public class PluginTest {

   @Test
   public void first() throws Exception {
        File buildDir = new File(new File(".").getCanonicalFile(),
                "src/test/resources/test01");

        assertTrue(buildDir.exists());

        build(buildDir);
   }

   @Test
   public void second() throws Exception {
        File buildDir = new File(new File(".").getCanonicalFile(),
                "src/test/resources/test01");

        assertTrue(buildDir.exists());

        build(buildDir);
   }

    protected void build(File rDirectory)
    {
        DefaultGradleConnector connector = (DefaultGradleConnector) GradleConnector
            .newConnector();
        connector.embedded(true);

        ProjectConnection conn = connector.forProjectDirectory(rDirectory).connect();

        try
        {
            BuildLauncher launcher = conn.newBuild().forTasks("processResources");
            launcher.run();
        }
        finally
        {
            conn.close();
        }
    }
}
